import React, {useState} from 'react';
import { useSelector, useDispatch } from "react-redux";

import Todo from "../components/todo/Todo";
import { addTodo } from "../features/todo/todosSlice";
import { RootState } from "./store";

function App() {
    const [text, setText] = useState("");
    const todos = useSelector((state: RootState) => state.todos.todos);
    const dispatch = useDispatch();

    const handleAddTodo = () => {
        if (text.trim() === "") return;
        dispatch(addTodo(text));
        setText("");
    }

    return (
        <div>
            <h1>Todo List</h1>
            <input
                type="text"
                value={text}
                onChange={(e) => setText(e.target.value)}
            />
            <button onClick={handleAddTodo}>Add Todo</button>
            <ul>
                {todos.map((todo) => (
                    <Todo key={todo.id} todo={todo}/>
                ))}
            </ul>
        </div>
    );
}

export default App;
