import React from "react";
import {useDispatch} from "react-redux";
import { toggleTodo, deleteTodo, TodoItem } from "../../features/todo/todosSlice";

interface TodoProps {
    todo: TodoItem;
}

const Todo = ( { todo }: TodoProps) => {
    const dispatch = useDispatch();
    const handleToggle = () => {
        dispatch(toggleTodo(todo.id));
    };

    const handleDelete = () => {
        dispatch(deleteTodo(todo.id));
    };

    return (
        <li>
            <input type="checkbox" checked={todo.completed} onChange={handleToggle} />
            <span style={{ textDecoration: todo.completed ? "line-through" : "none"}}>
                {todo.text}
            </span>
            <button onClick={handleDelete}>Delete</button>
        </li>
    );
};

export default Todo;
